summaryrefslogtreecommitdiff
path: root/qa/078
diff options
context:
space:
mode:
Diffstat (limited to 'qa/078')
-rwxr-xr-xqa/07852
1 files changed, 52 insertions, 0 deletions
diff --git a/qa/078 b/qa/078
new file mode 100755
index 0000000..61e262a
--- /dev/null
+++ b/qa/078
@@ -0,0 +1,52 @@
+#!/bin/sh
+# PCP QA Test No. 078
+# -z and -Z for pmdumplog
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+# need a constant archive for this ...
+
+rm -f $seq.out
+if [ $PCP_VER -lt 3600 ]
+then
+ # V1 archives supported
+ arch=src/babylon.percpu
+ ln $seq.out.1 $seq.out
+else
+ # no support for V1 archives
+ arch=src/babylon.percpu_v2
+ ln $seq.out.2 $seq.out
+fi
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+echo "Dump first 128 bytes ..."
+dd bs=128 count=1 if=$arch.0 2>/dev/null | od -c -j 020 \
+| sed -e 's/^\([0-7][0-7]*\) */\1 /'
+
+echo ""
+TZ=EST-11
+export TZ
+echo "Local time, TZ=$TZ"
+pmdumplog -l $arch
+
+echo ""
+echo "-Z UTC"
+pmdumplog -l -Z UTC $arch
+
+echo ""
+echo "-Z PDT8"
+pmdumplog -l -Z PDT8 $arch
+
+echo ""
+echo "local time at collection host"
+pmdumplog -lz $arch